Run a single data request
curl --request POST \
--url https://api.chartbrew.com/team/{team_id}/datasets/{dataset_id}/dataRequests/{id}/request \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"noSource": true,
"getCache": true,
"filters": {}
}
'import requests
url = "https://api.chartbrew.com/team/{team_id}/datasets/{dataset_id}/dataRequests/{id}/request"
payload = {
"noSource": True,
"getCache": True,
"filters": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({noSource: true, getCache: true, filters: {}})
};
fetch('https://api.chartbrew.com/team/{team_id}/datasets/{dataset_id}/dataRequests/{id}/request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"options": {
"id": 123,
"team_id": 123,
"project_ids": [
123
],
"chart_id": 123,
"connection_id": 123,
"draft": true,
"name": "<string>",
"query": "<string>",
"xAxis": "<string>",
"xAxisOperation": "<string>",
"yAxis": "<string>",
"yAxisOperation": "none",
"dateField": "<string>",
"dateFormat": "<string>",
"legend": "<string>",
"fieldsSchema": {},
"excludedFields": [
"<string>"
],
"configuration": {},
"joinSettings": {
"joins": [
{
"dr_id": 123,
"join_id": 123,
"dr_field": "<string>",
"join_field": "<string>"
}
]
}
},
"dataRequest": {
"responseData": {
"data": [
{}
],
"configuration": {}
}
}
}Data Requests
Run a Data Request
Run a data request
POST
/
team
/
{team_id}
/
datasets
/
{dataset_id}
/
dataRequests
/
{id}
/
request
Run a single data request
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I